--- /dev/null	Fri Nov 22 15:19:19 2013
+++ new/usr/src/test/zfs-tests/tests/functional/cache/cache.cfg	Fri Nov 22 15:19:19 2013
@@ -0,0 +1,70 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+#
+# Copyright (c) 2013 by Delphix. All rights reserved.
+#
+
+. $STF_SUITE/include/libtest.shlib
+
+function set_disks
+{
+	set -A disk_array $(find_disks $DISKS)
+
+	typeset -i DISK_ARRAY_NUM=0
+
+	if (( ${#disk_array[*]} <= 1 )); then
+		export DISK=${DISKS%% *}
+	else
+		export DISK=""
+		typeset -i i=0
+		while (( i < ${#disk_array[*]} )); do
+			export DISK${i}="${disk_array[$i]}"
+			DISKSARRAY="$DISKSARRAY ${disk_array[$i]}"
+			(( i = i + 1 ))
+		done
+		export DISK_ARRAY_NUM=$i
+		export DISKSARRAY
+	fi
+
+	if (( $DISK_ARRAY_NUM == 0 )); then
+		export disk=$DISK
+	else
+		export disk=$DISK0
+	fi
+}
+
+set_disks
+
+export SIZE=64M
+
+export VDIR=/disk.cache
+export VDIR2=/disk2.cache
+
+export VDEV="$VDIR/a $VDIR/b $VDIR/c"
+export LDEV="$DISK0"
+export VDEV2="$VDIR2/a $VDIR2/b $VDIR2/c"
+export LDEV2="$DISK1"
